Subject: Re: submodules

From: Jens Lehmann <[email-masked]>
Date: Fri, 03 May 2013 21:51:52 +0200

Am 03.05.2013 15:45, schrieb shawn wilson:
> So, I actually have another question I wasn't able to get to in this
> example (which has color - sorry - less -F displays it decently)
> 
> What is shown here is that trying to add submodules in this repo
> doesn't add the .gitmodules file - I can do it manually, but why isn't
> it adding the file? There's a .git/modules directory populated with
> the right stuff, but no .gitmodules file.
> 
> The initial question I was trying to demonstrate was that I've got a
> repo with submodules. When I push branches to most of the modules, a:
> git branch -r shows them for everyone. However, in one repo/module (I
> think it's a repo created with git --bare --shared) no one else can
> see (or pull) the remote branches and if I make a new clone of that
> repo as myself, I can't see them either. However, those branches are
> there and if I check that repo out on its own (not as a submodule of
> the main repo) I and everyone else can see those remote branches.
> 
> This is git 1.8.2.1 btw.

Thanks for your report. Unfortunately I'm not able to see much in
your attachment, could you please try to reproduce your problem with
a few shell commands and send these inline?